﻿/** Set the default theme on load **/
document.documentElement.className = 'dark-theme';

/** Function to check the page language **/
function langCheck(){
	let pageURL = window.location.href;
	let pageLang; 
	if (pageURL.indexOf('/en') > -1)
	{
  		pageLang = 'en';	
	}
	else{
		pageLang = 'ar';
  	}
	return pageLang;
}

/** Function to check current page**/
function pageCheck(){
	let pageURL = window.location.href;
	let pageCheck; 
	if (pageURL.indexOf('/default') > -1){
  		pageCheck = 'default';	
	}
	
	else if (pageURL.indexOf('/about') > -1){
  		pageCheck = 'about';	
	}
	
	else if(pageURL.indexOf('/our-story') > -1){
		pageCheck = 'our-story'
	}
	
	else if(pageURL.indexOf('/highlights.aspx') > -1){
		pageCheck = 'highlights'
	}
	
	else if(pageURL.indexOf('/careers.aspx') > -1){
		pageCheck = 'careers'
	}
	
	else{
		pageCheck = 'Not Found';
  	}
	return pageCheck;
}


/** Function to change the page language **/
function langChange(){
	let currentURL = location.href;
	if(langCheck() == 'en' && pageCheck() != 'careers'){		
		return(currentURL.replace("/en", "/ar"));
	}
	else{
		return(currentURL.replace("/ar", "/en"));	
	}
}

/** Theme Functions **/

function setTheme(themeName) {
	localStorage.setItem('theme', themeName);
    document.documentElement.className = themeName;
}
function toggleTheme() {
	if (localStorage.getItem('theme') === 'theme-dark') {
    	setTheme('theme-light');
    	document.querySelector('#mainMenu a.navbar-brand img').src = '../../Style Library/egov-resources/images/fuj-egov-logo-light.png';
    } 
   	else {
    	setTheme('theme-dark');
    	document.querySelector('#mainMenu a.navbar-brand img').src = '../../Style Library/egov-resources/images/fuj-egov-logo.png';

    }
}
if (localStorage.getItem('theme') === 'theme-light') {
	setTheme('theme-light');
	document.querySelector('#mainMenu a.navbar-brand img').src = '../../Style Library/egov-resources/images/fuj-egov-logo-light.png';

} else {
    setTheme('theme-dark');
    document.querySelector('#mainMenu a.navbar-brand img').src = '../../Style Library/egov-resources/images/fuj-egov-logo.png';

}


/**Setting footer copyright year **/
document.getElementById("copyrightyear").innerHTML = new Date().getFullYear();



/** Initialize the fade in animations **/
AOS.init();



let bodyEL = document.querySelector('#s4-workspace');
let progressEL = document.querySelector('.progress-bar');
let scrollToTopBtn = document.getElementById("scrollToTopBtn");
let stickyMenu = document.getElementById('stickyMenu');
bodyEL.onscroll = function(){  	
  	let vPos = Math.round(bodyEL.scrollTop / (bodyEL.scrollHeight-bodyEL.clientHeight) * 100);
  	progressEL.style.width = vPos+"%";
  	progressEL.setAttribute("aria-valuenow", vPos);  
  	if (bodyEL.scrollTop > 20) {
    	scrollToTopBtn.classList.add('visible');
  	} else {
    	scrollToTopBtn.classList.remove('visible');  
  	}
  	
  	if(bodyEL.scrollTop > 300){
  		stickyMenu.classList.add('show');
  	}
  	
  	else{
  		stickyMenu.classList.remove('show');
  	}
   	AOS.refresh();	
}





/** Scroll to top **/
function animateToTop(e) {
    e.preventDefault();
    let scrollToTop = window.setInterval(function() {
        if ( bodyEL.scrollTop > 20 ) {
            bodyEL.scrollTo( 0, bodyEL.scrollTop - 200 );
        } else {
            window.clearInterval( scrollToTop );
        }
    }, 16);
}




/** Messages Carousel **/
$(document).ready(function(){
	$('.message-carousel').owlCarousel({
		loop: true,
		nav: false,
		dots: true,
		lazyLoad: true,
		autoplay:true,
    	autoplayTimeout:5000,
    	autoplayHoverPause:true,    
		responsive:{
			600:{
				items:2
			},
		    1000:{
		        items:1
		    }
		}
	});
});



/** Loading common methods **/
topMenuData();
mainMenuData();
footerContactData();
